Bug 469923 - (CVE-2008-4817) CVE-2008-4817 Adobe Reader: Download Manager input validation flaw
CVE-2008-4817 Adobe Reader: Download Manager input validation flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=critical,source=adobe,reported...
: Security
Depends On: 469916 469917 469918
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 14:22 EST by Josh Bressers
Modified: 2016-03-04 07:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-13 10:36:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-11-04 14:22:59 EST
Adobe Reader 8 contains an input validation error in the Download Manager.
According to Adobe these flaws could result in arbitrary code execution
with the permissions of the user running Adobe Reader.
Comment 1 Tomas Hoger 2008-11-05 03:58:53 EST
Upstream security bulletin:
  http://www.adobe.com/support/security/bulletins/apsb08-19.html

Further details from iDefense advisory:
  http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=756
  http://marc.info/?l=full-disclosure&m=122583657602079&w=4

  The vulnerable code is an AcroJS function available to scripting code
  inside of a PDF document. This function is used for HTTP
  authentication. By passing a long string to this function, it is
  possible to corrupt heap memory in such a way that may lead to the
  execution of arbitrary code.
Comment 3 Red Hat Product Security 2008-11-13 10:36:59 EST
This issue was addressed in:

Red Hat Enterprise Linux Extras:
  http://rhn.redhat.com/errata/RHSA-2008-0974.html

Note You need to log in before you can comment on or make changes to this bug.